Package list kwindowsystem / scrub-obsolete/main
Remove constraints unnecessary since buster * Build-Depends: Drop versioned constraint on pkg-kde-tools, qttools5-dev and qttools5-dev-tools. * libkf5windowsystem-dev: Drop versioned constraint on libkf5crash-dev, libkf5kdelibs4support-dev, libkf5khtml-dev, libkf5notifications-dev, libkf5plasma-dev, libkf5runner-dev, libkf5textwidgets-dev, libkf5wallet-dev and libkf5xmlgui-dev in Breaks. * libkf5windowsystem5: Drop versioned constraint on kinit, kio, libkf5crash5, libkf5globalaccel-bin, libkf5globalaccelprivate5, libkf5kdelibs4support5, libkf5kdelibs4support5-bin, libkf5khtml-bin, libkf5khtml5, libkf5kiowidgets5, libkf5notifications5, libkf5plasma5, libkf5plasmaquick5, libkf5textwidgets5, libkf5wallet-bin, libkf5wallet5, libkf5xmlgui5, plasma-framework, qml-module-org-kde-kquickcontrols and qml-module-org-kde-kwindowsystem in Breaks. Changes-By: deb-scrub-obsolete Debian Janitor a month ago
1 changed file(s) with 3 addition(s) and 32 deletion(s). Raw diff Collapse all Expand all
1818 libxfixes-dev,
1919 libxrender-dev,
2020 pkg-config,
21 pkg-kde-tools (>= 0.15.15ubuntu1~),
21 pkg-kde-tools,
2222 qtbase5-dev (>= 5.15.2~),
23 qttools5-dev (>= 5.4),
24 qttools5-dev-tools (>= 5.4),
23 qttools5-dev,
24 qttools5-dev-tools,
2525 Standards-Version: 4.6.1
2626 Homepage: https://invent.kde.org/frameworks/kwindowsystem
2727 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kwindowsystem
5454 lowlevel classes.
5555 .
5656 Contains development files for kwindowsystem.
57 Breaks: libkf5crash-dev (<< 5.54),
58 libkf5kdelibs4support-dev (<< 5.54),
59 libkf5khtml-dev (<< 5.54),
60 libkf5notifications-dev (<< 5.54),
61 libkf5plasma-dev (<< 5.54),
62 libkf5runner-dev (<< 5.54),
63 libkf5textwidgets-dev (<< 5.54),
64 libkf5wallet-dev (<< 5.54),
65 libkf5xmlgui-dev (<< 5.54),
6657
6758 Package: libkf5windowsystem-doc
6859 Architecture: all
8980 window manager and allows asking the window manager to change them
9081 using a more high-level interface than the NETWinInfo/NETRootInfo
9182 low level classes.
92 Breaks: kinit (<< 5.54),
93 kio (<< 5.54),
94 libkf5crash5 (<< 5.54),
95 libkf5globalaccel-bin (<< 5.54),
96 libkf5globalaccelprivate5 (<< 5.42),
97 libkf5kdelibs4support5 (<< 5.54),
98 libkf5kdelibs4support5-bin (<< 5.42),
99 libkf5khtml-bin (<< 5.54),
100 libkf5khtml5 (<< 5.54),
101 libkf5kiowidgets5 (<< 5.54),
102 libkf5notifications5 (<< 5.54),
103 libkf5plasma5 (<< 5.54),
104 libkf5plasmaquick5 (<< 5.54),
105 libkf5textwidgets5 (<< 5.54),
106 libkf5wallet-bin (<< 5.54),
107 libkf5wallet5 (<< 5.54),
108 libkf5xmlgui5 (<< 5.54),
109 plasma-framework (<< 5.54),
110 qml-module-org-kde-kquickcontrols (<< 5.54),
111 qml-module-org-kde-kwindowsystem (<< 5.54),